<?php

namespace Drupal\page_cache_vary;

/**
 * Used by cache contexts that varies depending on HTTP headers.
 */
interface VaryCacheContextInterface {

  /**
   * Return the headers this cache context varies by.
   *
   * @return string[]
   *   Array of HTTP header to vary the response by. Example: x-country-code.
   */
  public function getVaryHeaders(): array;

}
